5.00
----
 * release

4.34b6
------
 * Option to use RISC OS 2 printer protocol added (useful for
   Calligraph printers).

4.34b5
------
 * fixed scrolling up not working for certain font sizes.

4.34b4
------
 * OleSupport now flushes pending changes on SessionClose.
 * Fixed problem when Editing Message in !Edit where saving after closing
   the !Edit window didn't work.
 * Users email address list can now have individual real names by entering 
   an address of the form 'my name <fred@bt.com>' in choices user management.

4.34b2,b3 
---------
 * Printing pagination tweeks.
 * Printing resizes text to fit to page

4.34b1
------
 * When viewing messages, Page down always puts the next line to read at the top
   even when there isn't a whole page left to read.

4.33
----
 * fixed 'Warn if operations applied to more than x messages' query.
 * quotes coloured in message display
 * scrolling scrolls whole lines.

4.32
----
 * message/rfc822 transfer-encoding changed.
 * trailing zero removed from OLESupport environment variable
 * printing changed to graphics printing.

4.31
----
 * Copy settings menu in Group settings changed to include all groups.
 * manuals updated.

4.30
----

4.25b4
------
 * Selecting search from the group list viewer will search all highlighted
   groups. The number of groups is limited by the size of the Search groups field
   in Search messages.
 * Link column added.
 * Search group starting with / limits the search to that users groups.
 * Edit Settings window changed.
 * Mailing-list field recognised.

4.25b3
------
 * In a message viewer threads formed by comparing subjects now are only considered
   the same thread if they arrived within 60 days of each other.
 * Server choices available in choices menu if server supports it.
 * Advanced choices window style changed.

4.25b2
------
 * Deleting links removes the message linked to (if you are using msgserve),
   This also makes moving a message move the linked to message 
 * Progress window changed to include percentage complete bar.
 * removing attachments from a link (ie in a search window) removes it from the
   original.
 * Dragging links outsize of mpro now creates a file as if the original message was dragged
 * You can now search search groups.
 * You can no longer specify the target folder for the search.
 * 'Copy group settings' added to the Edit Group window. If the 'file in' folder
   in the copied group is the same as that groups name then the source groups name
   is used instead - This makes it easier to copy group settings if you save copies
   to the same folder.
 * search groups menu in search window now adds with adjust and replaces with select

4.25b1
------
 * fixed html conversion when head tag but no body tag
 * fixed selection of last line when selecting all in message
   display window.
 * fixed decodeing of base64 emails with extremely long lines.
 
4.24
----
 * couple of zero page reads fixed.
 * fixed forwarding top bit chars problem
 * fixed forwarding of html only emails
 * Fixed bug which crashed mpro if you tried to open a message
   while saving from saveas window. You can no longer open a 
   message while saving.
 * Launch of email urls from an email make now makes the new email
   act as if it had been launched from its parent email's folder.
 * mime enabled emails may have top bit characters in the name part
   of address fields.

4.23
----
 * File type of message/rfc822 (message forwarded as attachment)
   changed to &b86 allowing you to double click on it to
   read and reply to the forwarded message.
 * Forward as attachment added to send options menu
 * Fixed conversion of numbered entities in HTML

4.22
----
 * fixed bug in wrong right click menu sometimes appearing over url's

4.21
----
 * 'Remove text from subject when replying' added to 'choices->Edit settings'
   Enables you to remove text (that may have been added by a spam filter for example)
   from the subject line of a reply by adding lines of text to the Subject file - 
   accessed by clicking on Edit...
 * released.

4.20
----
 * utf8 character conversion only happens if !Unicode has been seen

4.14
----
b7
 * HTML text display changed to paragraph based
 * Links and <img> alt text displayed. Asterisk used for <LI>
 * Followup-to ignored in non newsgroup messages.
 
b6
 * HTML character reference match made case sensitive.
 * iconv module no longer used. Unknown utf8 latin characters 
   mapped to 7bit chars.
b5
 * Install button in server selection installation window unfaded.
 * more html character references added.
 * fixed certain html emails not decoding.
b4
 * basic html to text conversion when displaying html messages.
   Useful if you only have an html message to reply to.
b3
 * convert utf8 to local charset in headers.
b2
 * fixed saving of sample choice in addressbook
 * fixed saving with short headers of base64 encoded text
b1
 * utf8 charset converted to current charset using Iconv

4.13
------
 * Fixed crash when stripping pgpbits from zero length body.
 * Filer action like windows remove error box after 'Skip'
 * Closing search window after stopping the search removes search folder if
   you have remove search folder set.
 * Adding to address book saves address book - previously only happened 
   when closing address book.

4.12
----
 * Fixed bug which caused intermittent deleting of files marked for deletion.
 * Replace window made permanent.
 * released

4.11
----
 * fixed public lists in personal address book entries

4.10
----
 * release

4.09
----
b10
 * fixed crash when adding a large list to the address book.

b9
 * fixed quoted printable encrypted/signed messages.
 * Deleted messages are not deleted after a refresh if you are reading
   the message.
b8
 * Clicking on a folder in the search window 'search groups' field menu
   puts folder_path.* into the field.
 * highlighting a folder in the group list window before clicking on search
   puts folder_path.* into the field.
 * Corrected spelling of Descendants.
 * fixed f12 not working.
 * removed bugged window_get_pointer_info from msgdisplay_nullhandler.   

b7
 * If there is a selection speak speaks the selection

b6
 * fixed display window redraw when extent reduces and at bottom
   bottom of work area.
 * installation of server defaults to msgserve.
 * extract all parts changed to submenu.
 * kill file and clipboard moved to address field menus
 * distribution list management changed in address book
 * add to distribution list option added to message display
   address field menus.
 * Modify distribution list window adds or removes an address or
   a comma separated list of addresses to/from the specified list. You
   may enter a full mailbox address (eg fred blogs <a@b.c>) but only
   the a@b.c part is used when matching. the addresses are validated and 
   duplicate addresses are removed

   Remove removes any duplicates

   Adding is equivalent to removing the address(es) followed by
   adding the address so can be used to change the real name part.
     
     eg if you have 'fred <a@b.c>' or 'a@b.c' (or even both) in your 
     list adding 'fred blogs <a@b.c>' removes the old entries and adds
     the new.

   You may also use this window to remove an entry from one list and add
   it to another.

 * Move in addressbook is now drag and drop (window pops up when dropped
   where you can specify a non existant folder if you want to). Pressing
   ctrl while dragging over a folder opens/closes the folder
 * public/private distribution list differentiated in
   address book
 * Replace added to addressbook which takes an address of any valid
   mailbox form in either field (though only the address part is used to match so
   fred <a@b.c> will match any mailbox entry with the address a@b.c) The fields
   may also be an alias name. 

   Whole addresses are removed so if you enter a@b.c, Fred <a@b.c>
   will be removed.

   Both fields are removed when matched and the replace field is added.

   If an entry's address field or a distribution list line is an invalid
   address list then the line/field is left unmodified

   Comments/ blank lines are retained in distribution lists, comma's
   between addresses are changed to newlines.

 * show addresses option in address book.
 * Replace now shows the number of changes when complete.
 * save in display window broken as a result of putting 'extract all parts'
   on a submenu fixed.
 * spaces allowed in aliases in replace address validation.
 * Fixed bug 19 & 22 occuring when 'Automatically close all threads' advanced
   option is set.
 * old addressbook distribution list entries changed as follows:

     1) if the filename is blank the entry is changed to a normal address entry.

     2) distribution lists files are now explicitly marked as public or personal
        in address book entries
    
 * addressbook address matching with full mailbox addresses fixed.
 * fixed displayed name when real name is blank (as opposed to not used)
 * bug which caused some icons to stop working after clicking on a part
   on the parts menu which opened a saveas dbox fixed.
 * bug which caused crash when replying from a search window and the search
   window is removed before sending fixed.

4.08
----
 * puts caret in internal editor sender/from field if there is a validation
   error in either field

4.07
------
 * fixed spaces in filename when uudecoding
 * fixed pgp_addkey from messenger display menu
 * fixed processing of deferred operations when changing the server.
 * fixed clipboard in display window
 * fixed pointer not changing back to default when esc used to close windows

4.06
----
 * stopped multiple copies/moves to folder with chime enabled
   causing multiple chimes.

4.05
----
 * Login suppressed if only 1 user
 * fixed parts menu on toolbar not reflecting correct parts when stepping
   through messages.
 * fixed reading of content-type: if not followed by space
 * Stopped menus being closed on mouse clicks after login window has been opened
 * fixed closing of semitransient windows (pgp password and login)

4.04
------
 * fixed opening of save message dbox causing invalid object error
 * Clicks on Reply To in message display window now replies to highlighted area
   (headers and signatures are not replied to)

3.43 - 4.03
-----------
 * dragging to msgviewer pane from msgviewer main window ignored
 * clicking on black line around pane ignored.

3.41 - 4.01
-----------
 * fixed bug with certain signed messages appearing blank.

3.40 - 4.00
-----------
 * release

3.30b18
-------
 * PGP signing works when reading a batch file directly.
 * Previous and next part works when reading a batch file directly.

3.30b17
-------
 * PGP forget passphrase added to Misc menu.
 * Double click on PGP keyring entry opens new email.
 * Line endings in PGP mime messages changed to CRLF before signing.
 * fixed continuous loop when printing a quoted encoded message with
   CR in it.

3.30b16
-------
 * verifying pops up a picture, if available, when
   --verify options show-photos is set in gpg/conf file.
 * Line endings in PGP mime messages changed to CRLF before verifying.

3.30b15
-------
 * warning added if encryption isn't to a trusted recipient
 * sign traffic lights faded if message isn't signed
 * traffic lights go amber-green if the signature isn't at least
   fully trusted
 * help on traffic lights show more details of signature trust.
 * choices->Show PGP Output fixed.

3.30b14
-------
 * fixed problem with decoding signed uuencoded messages (the '- ' inserted
   in lines begining with - by the signing wasn't removed for decoding)
 * mailto urls accept cc=,to=,subject= as arguments
 * pgp encryption/signing doesn't use taskwindow.

3.30b13
-------
 * when displaying messages from a batch file left arrow fades if it is the 
   first message and right arrow fades on the last message.
 * Resend given keyboard shortcut Q
 * pgp keyring bugs fixed
 * PGP-Mime added.

3.30b12
-------
 * display of b86 files allow stepping through the messages.
 * drag and drop from message list window saves as b86 (unix MBOXRD) file.
 * dragging text and b86 files to iconbar icon will display the
   file.
 * fixed display colouring when wrapped line causes a sig separator to 
   appear at the beginning of a line.
 * Find in message display window fixed.
 * F4 in message display window now opens correct findwindow.

3.30b11
-------
 * Save as raw file and drag and drop saves in rmail format.
   The format is suitable for importing in group management 
   when using msgserve (faster with option to use filters when
   imported to mailbox folder) or  dropping into a group window.
   B86 format (from) not used for export as it can modify the email.
 * Can import from,rmail,rnews or ctrlA batch files.
 * In Send message window caret put in To field if TO is empty
   and subject is empty
 * Addressbook colour menus put on single popup.


3.30b10
-------
 * wording changed on url menu.

3.30b9
------
 * Send windows now have TO first.
 * b7 changes removed - first sig separator used.
 * Highlighting modified in display window. Double click highlights word. 
   Triple click highlights line.
 * <Ctrl> click options on URL in message display window removed as
   they conflicted with holding down <Ctrl> disabling the URL selection
   feature.
 * Clicking Adjust on a URL opens a menu giving various options.
 * URL launch via UniServer (UniPrint) added to URL menu.

3.30b8
------
 * fixed message display selection bug introduced in b7

3.30b7
------
 * replying to email with multiple sig separators now only removes the 
   last one.
 * Signature size now only checks after the last sig separator.
 * Message display now only shows text after the last sig separator as a signature.

3.30b6
------
 * If there is no selection Clicking Adjust in the Message display highlights the 
   word.

 * Address book colours reflected in any open message viewer window when the
   address book is closed.

3.30b5
------
 * Previously if you highlight an email before creating a new one the FROM field 
   becomes the sender of the highlighted email. Now if the sender is one of
   your own email addresses the TO field is used instead.

 * Address book colours can be made the same as an existing entry.

3.30b4
------
 * Scoring colours applied to all fields in message viewer.
 * Colours may be applied to address entries colouring the email in the message
   viewer if its FROM field is a single address entry in your address book. 
   Scoring rule colours are given priority over address book colours. RemoteNB
   users require RemoteNB 2.05+ for this not to colour certain entries.

3.30b3
------
 * Fixed very long field entries in emails.

3.30b2
------
 * Emails with Newsgroup field but no To field forced to be a Newsgroup reply
   in the absence of a Mail-Followup-To Field.

3.30b1
------
 * Reduced grouplist windows refreshing when they don't need to.

3.29
----
 * spaces stripped from beginning of subject line in message viewer.
 * modified messages to EmailEdit to cope with larger strings.
 * fixed expansion of alias with a single alias as the address.
 * fixed launched attachments problem with browser caches.

3.28
----
 * fixed print bug with dp printers.
 
3.27
----
 * When deleting a message when reading it, if 'Go to next message' choice is
   selected, fast clicking of the delete icon could toggle it back off again - fixed.

3.26
----
 * Key presses passed on changed again.

3.25
----
 * Key presses passed on restricted to f12 keys (Messenger, Msgserve and EmailEdit)
 * Locked messages may be deleted from the wastebasket.
 * Error message added if error occurs immediately when sending (eg open attachement)

3.24
------
 * In distribution lists lines beginning with # or | are ignored (useful for comments)
   blank lines are also ignored.
 * Fixed crash with invalid date field.
 * Matching of spaces when canonicalising group names fixed.
 * Fixed copying with RemoteNB.
 * Modified to make EmailEdit hide its window when sending. It reappears if there
   is an error.
 * Fixed problem caused by a locked wimp$scrap file.
 * Spell dictionary editing and dictionary choice added to external editor spell checker.
 * New English dictionary added which handles apostrophes better.

3.23b4
------
 * Priority added to filter and scoring displays.
 * Address book saved to different filename (addrbook01) - avoids problems going back to
   earlier versions of mpro.
 * Msgserve bug introduced in 3.23b2 stopping 'File in' working fixed.

3.23b3
------
 * Edit (f8) when used with EmailEdit loads email into a text editor.
 * MsgServe 3.06
   * Group management personal folders sorted by user.
   * Filters group menu is heirarchical if using the tree view for folders in Mpro
   * Blank lines added to beginning of forwarded message.

3.23b2
------
 * fixed bug when C or V is pressed twice to open the Copy to/Move To menu.
 * fixed bounce menu
 * bounce now uses users address for smtp From.
 * memory requirement for opening large overview files reduced

3.23b1
----
 * Fixed automatic alias expansion when an email is sent using an external editor.
 * In Send fields which take lists Select on a menu replaces the contents, Adjust
   adds to the contents.
 * Crash when printing raw messages from message list viewer fixed.
 * Addressbook now has a tree view. This adds fields to address book so
   extra fields will be lost and the 'sample' field will be corrupted 
   if you move back to an earlier version of mpro.
 * Printing is word wrapped using the values in PDriver$TextPage 
   (which is set by the printer). If this doesn't set the page width
   or you want a different setting you can set it manually in the print
   dbox. If width is <20 wrapping is left to the printer (ie use a width
   of 0 to specify no wrapping).
 * Requires EmailEdit 1.05+.
 * Commas allowed inside URLs.
 * Running of HTML attachments will use other attachments if required (ie if
   there are attached pictures required by the html file then they are made
   available for its use)

3.22
----
 binned

3.21
----
 * EmailEdit 1.01
 * Queue and Sent Mail folders default to To instead of sender
 * Sent news defaults to Newsgroups instead of sender.
 * Fixed strip attachments bug when message is quoted-printable or base64
 * release attempt 2

3.20
----
 * release attempt 1

3.13b13
-------
 * fixed corrupt overview file crash with large fields.
 * extra line added before the sig separator

3.13b12
-------
 * 'None' entry added to 'File in' menus.
 * Defaults to internal editor.
 * rename added to attachments menu

3.13b11
-------
 * Forced 'Open editor immediately' when Email edit used.
 * debug code removed.
 * Adjust Defer in EmailEdit leaves the session open.
 * disabled edit cancel warnings for email edit.
 * Change status icon added to Defered mail/news windows.
 * Catchup icon added to Defered mail/news windows.

3.13b10
-------
 * Join Paragraphs added to Emailedit.
 * Internal editor no longer used send dbox.
 * fixed wrap quoted lines crash.

3.13b9
------
 * EmailEdit added PC style delete keys option.

3.13b8
------
 * defered news and mail folders may be defined by the server.
 * fixed display tree staying open.

3.13b7
------
 * Catchup from grouplist now works with folders which use global flags.
 * Support for server to supply wastbasket name added.

3.13b6
------
 * Saving/printing from Email files/message links fixed;
 * address lists now cope with blank distribution lists
 * duplicate distibution list entries in address lists removed.
 * blank entries removed in address lists.

3.13b5
------
 * spell check as you type option in emailedit choices.
 * attachments can be dropped at bottom of editor window
 * EmailEdit opens immediately.
 * EmailEdit matches Mpro default colours
 * EmailEdit choices now on a per user basis

3.13b4
------
 * changes for use with emailedit.
 * resent messages can be resent without editing.

3.13b3
------
 * Fixed newsgroup descriptions in Add group window in msgserve.
 * added EmailEdit as internal editor - switched on by deselecting 
   'choices->Edit settings->Use external mail editor'
 * OleSupport module modified to only accept ole_openmessages to OleSupport.

3.12
----
 * 'Display Settings -> Show all relevant fields' fixed when deselected

3.11b3
------
 * fixed selection from sub group menus in search window

3.11b2
------
 * fixed crash when select+menu pressed together over next/previous arrows on
   message display window.
 * fixed freeze when opening all threads by clicking on adjust on the toggle
   thread icon.

3.11b1
----
 * fixed mapping of local charsets
 * fixed msgserveS problem where the wrong response was 
   returned as a reply to the BODY[] command.
 * Msgserve Major version changed to 3.xx
 * Catchup from the main Group list now doesn't turn 'marked for attention' 
   files into 'replied to' files.
 * field containing caret in search window left unticked.
 * fixed bug causing double warning from a non empty ramdisc 
   when shutting down an iyonix.
 * fixed bug with select/adjust clicked together in message display window.

3.10
-------
 * buffer overflow bug into newsfind buffer fixed.
 * Now copes with incomplete reference fields.
 * fixed handling of internal mail internally.

3.03b10
-------
 * fixed updating of parent information in group viewer
 * tree view split into users.
 * tree view set as default.
 * search folders default to search.searchxxx when tree view used.
 * New mail in message list window adds the from names of all selected messages to
   the from field up to a max of 1024 bytes.
 * client group menus reflect tree view in tree view mode.

3.03b9
------
 * redraw bug on group viewer fixed.
 * selection for spacebar in groups folder reinstated.
 * left/right arrow keys navigate tree.
 * 'Auto refresh' and 'Use tree view in group viewers' option added to Advanced options
 * fixed <ctrl> A and <ctrl> Z menu items in group management broken in 3.03b8
 * copy/moveto menu reflects tree view in tree view mode.
 * when stripping attachments any messages recognised as only containing attachments won't
   have the attachments stripped.
 * Bug sorting threads fixed.

3.03b8
------
 * Group list viewer shows a tree view of the groups. A '.' in the group name
   is used to determine the group's position in the tree.
     Clicking Select on + (or name next to +) opens the tree at that level.
     Clicking Adjust on + (or name next to +) opens all trees below the click
       at that level.
     Clicking Select on - (or name next to -) closes the tree at that level.
     Clicking Adjust on - (or name next to ) closes all trees below the click
       at that level.

   Although you can rename default folders -Sent mail,Sent news,Deferred mail,
     Deferred news - these will be recreated when needed so you can't avoid 
     using the names. Similarly other group names will be recreated if an article 
     is filtered to that folder name so you will need to alter filters and scoring
     rules

 * Renamed groups resorted.
 * Msgserve - crash when from is too long for wimp message fixed.
 * Correct reply icon displayed in message display window when message is
   recognised as a mail list.
 * Fixed group sort bug in group list viewer.
 * Message viewer expanded/scrolled to show opened thread.
 * Fixed scroll position for message lists that haven't had their position
   saved.
 * Catchup and display read/unread icons swapped places in Main groups window.
 * Fixed Edit from display window.
 * Fixed <ctrl> A and <ctrl> Z from group management window.

3.03b7
------

 * fixed crash when reading messages with no group.

3.03b6
------

 * Strip attachments now uses filer action.

3.03b5
------

 * fixed crash when headers are dragged a second time.
 * fixed login window causing an error when return pressed on it when !PEM loaded.

3.03b4
------

 * filer action window appearance delayed.
 * URL for google groups changed.
 * Adjust close window fixed.
 * Fixed marking as read changing marking for attention to replied.
 * Modifies to cope with mailing list replies where to isn't to the mailing list.
 * Bug with deleting selection of groups fixed.

3.03b3
------

 * Modified to cope with multiple addresses in mailing list emails

3.03b2
------

 * All recompiled

3.03b1
----
 * Iconbar icon display of queue state with new icons fixed.
 * Experimental auto refresh option added. Just enable Messenger$AutoRefresh
   in !messenger.!run. probably best not to use it on a slow connection
   I can add it to choices later if it works out ok.
 * Threads now show the date of the latest article in the thread.
 * Date sorting of threads now done by the newest date.
 * Date addition in filters and scoring fixed.
 * GroupDeleted message fixed in Msgserve - most obvious symptom 
   being autodeleted search groups not deleting properly

3.02
----
 * recompiled with fixed wimplib-32
 * ptr_hand changed to ptr_point to match new icons.

3.01
----
 * Send window cancel confirmations fixed
 * Advanced confirmation options fixed
 * Fix for window_wimp_to_toolbox bug - caused crashed when the
   pointer was over an interactive help window.

3.00
----
 * released

2.72b15
-------

 * In the display window T toggles to a corpus if you are using outline fonts
 * ^P & ^S changed to P & S in display window.
  
2.72b14
-------
 * Null event handling changed. - Reduces CPU load while idling.
 * Bug with blank 'file in' not being remembered in group edit window fixed.
 * Header fields without a ' ' after the ':' accepted.
 * Highlighted group in grouplist window put in search window

2.72b13
-------
 * Installation configuration altered.
 * Fixed display/selection bug with message viewer when multitasking during a catalog fetch.
   The window is cleared reflecting that it doesn't contain catalog details during
   this period.
 * Message viewer menu modified.
 * Extra message sort options added.
 * Fixed bug with ! in group name.
 * Fixed copied messages being marked as unread in group list window.
 * (MsgserveS) bug if socket number is 0 fixed.
 * (MsgserveS) fix for wrong messages being marked.
 * (MsgserveS) fixed send buffer overflow problems.

2.72b12
-------
 * Bug with setting the window position of the Queue and wastebasket fixed.
 * From field in 'Edit group' window may contain "
 * Message-ID tag added to 'Edit group' window. This tag is added to the beginning of the
   Message-ID and can be used to filter replies (filter In-reply-to = *<tag*).
 * Fixed problems with send/post. when you don't have access to send or post.
 * Fixed bug where you couldn't modify the queue display if you didn't autosubscribe
   to groups.
 * From field menu in send dbox changed back to replacing the address instead of adding it.
 * New online groups should default to global message state.
 * Groups with very large article numbers should show the article list quicker.

2.72b11
-------
 * bug not allowing to mark whole thread fixed.
 * filer action type window added.
 * list-post field recognised for maillist replies.
 * multitasking improved.
 * msgserve closes windows when user changed.
 * window expands to the height set in the saved position if it is smaller than 
   the saved position height when refreshing or changing mode.

2.72b10
-------
  internal

2.72b9
------
 * Mail-Followup-to and Sender faded when edit headers option set.
 * Default non advanced send email window includes CC field.
 * Escape aborts dragging.
 * Fixed wrap width bug.
 * stopped copy/move to same directory.
 * crash when refresh selected fixed.
 * newsbase command priority changed (improves multitasking)
 * bug introduced causing large newsrc files fixed - fix will also tidy existing file
 * allows updates while listing groups.

2.72b8
------
 * Bug with forcing window on screen fixed.
 * Bug with email type detection fixed.
 * Crash when clicking Adjust in the group window fixed.

2.72b7
------
 * Selection text bug introduced in 2.72b3 fixed. (Selections past end
   of line clipped/dropped the first char of the next line.)
 * Fixed some memory leaks.
 * Rewrote bounced message system -all selected messages bounced to the same address
   (instead of a separate dbox for all messages in the selection).
 * Fixed address book menu problem. Addr menu template was shared causing problems
   when the menu was on different objects.
 * Can now read large overview records.
 * Fixed problem with consecutive queries acting as if cancel had been pressed.
 * Fixed display problem with tabs.
 * Mail-followup-to and Sender fields added
 * Can send without editing if you add an attachment.
 * On the button bars:
   Envelope icon (S key)       means New email 
   Envelope+paper icon (R key) means Personal reply to email
   Newspaper icon (P key)      means New email to Group
   Newspaper+paper (F key)     icon  means Reply to group
                               click+ctrl or F+ctrl to include a copy
                                 to the sender.

   Note Group means newsgroup,mailinglist or all recipients of the email.

        Clicking adjust on a Newspaper icon is the same as Select on an
        Envelope icon and vice versa. (similarly with the reply icons).
        The idea is that the most likely icons are displayed

        ctrl on the Reply to group sends a courtesy copy if the email is a
        newsgroup or mailing list.

        highlighted/displayed messages or groups affect the details filled in 
        when these icons are clicked on (or keys pressed).
 * Non advanced windows changed.
 * Message reply type based on message contents. This allows messages to be stored 
   in a different directory and the mail/reply/groupmail/groupreply  still work as expected.
 * in the msgviewer window if a single thread is highlighted
   Right arrow opens a thread.
   Left arrow closes the thread which contains the highlight. 
 * ReEdit or Resend type determined by email contents.
 * All address fields validated before sending

2.72b6
------
 * Taglines can be switched off in the group editing window.
 * The folder sent messages are stored in can be specified on
   a group basis in the group editing window.
 * Signatures can be switched off in the send/post window.
 * If a group is selected, when you click on a 'Send mail/post news'
   icon in the 'Main groups' window then the 'Send mail/post news' window
   uses the selected group's details.
 * Key shortcut to 'edit choices' in groups list window changed from ^E
   to E. (changed so that the same key can be used in the group window)
 * Key shortcut E added to group list window to open its 'Edit choices' window.

2.72b5
------
 * Added option to hide send window while editing.
 * Newshound transport works with both 32 and 26 shared clibs

2.72b4
------
 * Status comparison fixed in scoring rules.
 * Display mode changes and refresh now work in search windows which are deleted
   on closing.
 * Wrapped lines keep quote level colour
 * Input focus problem when opening grouplists introduced in 2.72b1 fixed.

2.72b3
------
 * Extra length added to writable icons with large lists so you can add to them.
 * Send window hidden while editing.
 * Send, Defer and Spell faded when Send window first seen.
 * Server now changed by selecting server from menu. (set button removed to
   stop confusion as to whether it set the choices or just the server)
 * Removed Save from msgserve group management All changes to window are saved
  (Cancel didn't undo all changes - which it implies so best avoid the ambiguity)
 * Removed Save from msgserve user management.
 * Removed Save from msgserve filtering rules.
 * Remove Save from scoring.
 * Send and postnews windows can be toggled between advanced and small 
   windows.
 * Refresh and message display mode now increase display height as well
   as decreasing it.
 * Filtering rules default score and discard threshold 
   now show the correct values.
 * Address book, group subscription and pgp keyring added to choices panel
 * Deleting a user in msgserve now deletes the users private folders 
 * Deleting a user removes the users home directory unless Messenger has stored 
   data for another server in there - note deleting a user from newsbase always
   deletes the users home directory. 
 * Autosubscribe now only works on groups just created.
 * New users now only subscribed to personal folders.
 * Non admin users now don't see all groups/folders/mailboxes.
 * Folder types correctly identified when user created.
 * Stopped addressbook entries without an alias matching an empty string.
 * Long lines word wrapped.
 * Advanced option to make select open group viewer (adjust opens mailbox).
 * Fixed busy error bug when deleting a message after first trying to delete a locked msg.
   This also allows deleting a selection to continue after a locked file.

2.72b2
------
 * Syslog reinstated.
 * Queued server requests are finished before changing user (fixes 2.2).
 * Bug introduced with newsfind fixed.

2.72b1
------
 * Allow off screen flag set on panes with furniture - stops them 
   showing in the wrong place when they first appear if the window
   is partly off screen.
 * Users_logout modified so that it doesn't log out after a 
   query box returns false. (2.1)
 * History messages and imported messages removed on logout. (2.3)
 * Iconbar icon shows Busy and menu items are faded if logon/logout phase.
   takes time.
 * Constant errors caused by deleting a group while it's being refreshed fixed.
 * Upcall handler added to MessengerUtils inline with 26bit version.
 * Blank lines removed from bottom of text when reediting multipart message (1)
 * Refresh key on groupmenu changed to f5.
 * Use of Toolbox toolbars removed so that the windows work properly.
 * Only 1 login window used. (14)
 * string_comparel fixed. (23)
 * Scrollbars added to msgviewer window and you can now have columns wider than the screen.
 * Clicking Select on thread icon in msgviewer window opens/closes thread.
 * Clicking Adjust on thread icon in msgviewer window opens/closes all threads
   at or below click.
 * Msgdisplay now shows all from,to and newsgroup values.
 * multiple bounce messages now get caret correctly.
 * attspane in message display scrolls with main window if only a few icons
   are in it otherwise it gains its own scrollbar.
 * Writable icons in edit window can now handle large mailbox lists.
 * Now copes with non anglebracket addrspec with comments.
 * 32/26 bit compatible (compiled with stubsg).
